#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/logtail.cgi - show messages file
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2001-02-22 tg
# Last Update:  $Id: logtail.cgi 77935 2020-06-10 09:42:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# parse variables...
echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Refresh: 30; URL=$myname"
echo "Expires: `date -Ru`"     # Expires now!
echo
echo '<html><head>'
echo '<title>EISFAIR-Status-Webserver - News</title>'
echo '</head>'
echo '<body background="/styles/bg_ramp.jpg"><br>'

echo '<textarea cols="100" rows="18" name="textfeld">'

tail /var/log/messages|tac|sed 's/&/\&amp;/g;s//\&auml;/g;s//\&Auml;/g;s//\&uuml;/g;s//\&Uuml;/g;s//\&ouml;/g;s//\&Ouml;/g;s//\&szlig;/g;s/"/\&quot;/g;s/</[/g;s/>/]/g'

echo '</textarea>'
echo '</pre></body></html>'

exit 0
