#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/digiclock.cgi - show clock
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2002-05-04 tg
# Last Update:  $Id: digiclock.cgi 77935 2020-06-10 09:42:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# parse variables...
echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Refresh: 100000; URL=$myname"
echo "Expires: `date -Ru`"     # Expires now!
echo
echo '<html><head>'
echo '<title>EISFAIR-Status-Webserver - News</title>'
echo '</head>'
echo '<body>'
echo '<h2>Uhrzeit</h2>'
st1=`date|cut -c12`
st2=`date|cut -c13`
mi1=`date|cut -c15`
mi2=`date|cut -c16`
echo '<img src="ziffern/'$st1'.gif"><img src="ziffern/'$st2'.gif"><img src="ziffern/dp.gif"><img src="ziffern/'$mi1'.gif"><img src="ziffern/'$mi2'.gif"></td></tr>'
echo '</body></html>'

exit 0
