#!/bin/sh
#------------------------------------------------------------------------------
# /usr/local/htdocs/support.cgi - show support-infos
#
# Copyright (c) 2003-2010  Marcus Herleb, info(at)herleb(dot).de
# Copyright (c) 2011-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2001-02-24 tg
# Last Update:  $Id: support.cgi 77935 2020-06-10 09:42:46Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version..
#------------------------------------------------------------------------------

# Parse variables...
eval "`proccgi $*`"

myname=`basename $0`

echo "Content-Type: text/html; charset=iso-8859-1"
echo "Cache-control: no-store" # HTTP/1.1 (or no-cache?)
echo "Pragma: no-cache"        # HTTP/1.0
echo "Expires: `date -Ru`"     # Expires now!
echo
echo '<html><head>'
echo '<LINK REL=STYLESHEET TYPE="text/css" HREF="main.css">'
echo '<title>Support-Infos</title>'
echo '<h2>Dokumentation (online)</h2><ul>'
echo '</head><body bgcolor="#FFFFFF" text="#000000">'
echo '<base target="_self">'
echo '<li><a href="http://www.eisfair.org">Eisfair</a>'
echo '<li><a href="http://www.eisfair.org/hilfe/dokumentation/ ">Dokumentation</a>'
echo '<li><a href="http://www.eisfair.org/german/howtos.php">HOW-TOs</a>'
echo '<li>Newsgroups'
echo '<ul><li>Archiv'
echo '<ul><li><a href="http://lists.spline.de/pipermail/eisfair">Eisfair allgemein</a>'
echo '<li><a href="http://lists.spline.de/pipermail/eisfair_dev">Entwickler NG</a></ul>'
echo '<li>Newgroups'
echo '<ul><li><a href="news://news.spline.de/spline.eisfair">Eisfair allgemein</a>'
echo '<li><a href="news://news.spline.de/spline.eisfair.dev">Entwickler NG</a></ul>'
echo '</ul><br><br>'
echo '<li><a href="mailto:juergen@eisfair.org">E-Mail an den Maintainer des mini_httpd-Paketes senden</a>'
echo '</ul>'
echo '</body></html>'

exit 0
